#!/bin/sh

### environment
export LANG=C

# library directory
HDF5=/home/user1/util/hdf5_1.8.4-patch1
SZIP=/home/user1/util/szip_2.1

# compiler
fc=ifort

# source filename
fsrc="readL3B_hdf5.f"

# output filename
out=readL3B_hdf5_f

# library order
lib="-lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -lsz -lz -lm"

# f compile
cmd="$fc -g $fsrc -o $out -I$HDF5/include -I$SZIP/include -L$HDF5/lib -L$SZIP/lib $lib"
echo $cmd
$cmd

# garbage
rm -f *.o
