#!/bin/sh

### environment
export LANG=C

# library directory
AMTK=/home/user1/util/AMTK_AMSR2_1.14
HDF5=/home/user1/util/hdf5_1.8.4-patch1
SZIP=/home/user1/util/szip_2.1

# compiler
cc=icc

# source filename
csrc=readL2L_amtk.c

# output filename
out=readL2L_amtk_c

# library order
lib="-lAMSR2 -lhdf5 -lsz -lz -lm"

# compile
cmd="$cc -g $csrc -o $out -I$AMTK/include -I$HDF5/include -I$SZIP/include -L$AMTK/lib -L$HDF5/lib -L$SZIP/lib $lib"
echo $cmd
$cmd

# garbage
rm -f *.o
