#!/bin/sh

### environment
export LANG=C

# library directory
HDF5=/home/user1/util/hdf5_1.8.4-patch1
SZIP=/home/user1/util/szip_2.1

# compiler
cc=icc

# source filename
csrc=readL3G_hdf5.c

# output filename
out=readL3G_hdf5_c

# library order
lib="-lhdf5_hl -lhdf5 -lsz -lz -lm"

# c compile
cmd="$cc -g $csrc -o $out -I$HDF5/include -I$SZIP/include -L$HDF5/lib -L$SZIP/lib $lib"
echo $cmd
$cmd

# garbage
rm -f *.o
